Status: Open

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:3.0.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 23553

Description

In legend properties, checking the "Resize to Fit contents" does what's expected. But despite the checked state, one can still easily

manually resize the frame. I think it shouldn't be allowed.

Then, may be a consequence of the above issue,  when the option is checked and you resize the frame, you need to uncheck then

recheck the box to have the frame fit its contents.

Related issues:

Related to QGIS Application - Bug report # 15629: Print composer: Legend fram... Closed 2016-09-28

History

#1 - 2017-05-01 01:03 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#2 - 2018-02-28 10:57 AM - Harrissou Santanna

- Affected QGIS version changed from 2.16.3 to 3.0.0

- Description updated

Giving it more tests, it appears that when "Resize to fit contents" is checked, user can manually enlarge the item and it will keep that new size. But the next

time he clicks on it, it's resized back fit to contents automatically. This could mislead/confuse some users.

I think we should just disable the ability to resize the legend item when this option is checked.

#3 - 2018-02-28 10:58 AM - Harrissou Santanna

- Related to Bug report #15629: Print composer: Legend frame can be resized over its content (content is hidden) added
